<?php
/*

	アダルト相互リンクSEO
	設置ファイル：TOP
	Copyright (c) アダルト相互リンクSEO

*/

	$internal_encoding = "utf-8";
	mb_language("ja");
	mb_internal_encoding($internal_encoding);

	$conf_file = "./linka.conf.php";
	if (!file_exists($conf_file)) {
		echo "<h2>File not found ".$conf_file."</h2>";
		exit;
	}
	require_once $conf_file;
	$api_url = API_URL."get.contents.php?url=".SERVER_URL.REQUEST_SITE;
	$contents = file_get_contents($api_url);
	preg_match("/<title.*?>(.*?)<\/title>/i", $contents, $m);
	$title = (isset($m[1])) ? DEFAULT_TITLE." ".$m[1] : DEFAULT_TITLE;
	$contents = preg_replace("/(<title.*?>.*?<\/title>)/i", "", $contents);

	header("Content-Type: text/html; charset=".$internal_encoding);

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html lang="jp" xmlns="http://www.w3.org/1999/xhtml" xml:lang="jp">
<head>
<base href="<?php echo BASE_URL; ?>" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta name="robots" content="index,follow" />
<title><?php echo $title; ?></title>
<link rel="stylesheet" type="text/css" href="<?php echo STYLE_SHEET; ?>" media="all" />
</head>
<body>
<?php echo $contents; ?>
</body>
</html>
